> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Filesystem Folder



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /filesystem/folders/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /filesystem/folders/:
    post:
      tags:
        - filesystem
      summary: Create Filesystem Folder
      operationId: create_filesystem_folder_filesystem_folders__post
      parameters:
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilesystemFolderCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilesystemEntryRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FilesystemFolderCreate:
      properties:
        parent_id:
          type: string
          format: uuid
          title: Parent Id
        name:
          type: string
          title: Name
        is_private:
          type: boolean
          title: Is Private
          default: false
      type: object
      required:
        - parent_id
        - name
      title: FilesystemFolderCreate
    FilesystemEntryRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        child_id:
          type: string
          format: uuid
          title: Child Id
        child_type:
          type: string
          title: Child Type
        asset_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Type
        name:
          type: string
          title: Name
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
        parent_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Type
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        open_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Open Url
        workspace_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Ref
        organisation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organisation Id
        is_private:
          type: boolean
          title: Is Private
          default: false
        asset_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Asset Count
        asset_type_counts:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Asset Type Counts
        child_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Child Count
      type: object
      required:
        - id
        - child_id
        - child_type
        - name
      title: FilesystemEntryRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````